package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssMinio;

import java.util.List;


/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-14 19:47:04
 */
public interface SchisandraOssMinioService {


    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssMinio queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssMinio 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssMinio schisandraOssMinio);

    /**
     * 修改数据
     *
     * @param schisandraOssMinio 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssMinio schisandraOssMinio);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    SchisandraOssMinio getMinioConfig(Long userId);

    List<SchisandraOssMinio> getAllMinioInfo();
}
